# -*- coding: utf-8 -*-
import requests
import json
import ambient
from time import sleep

# トークン
token = '------ トークンを入力する ------'

# 明るさの取得関数
def getLux(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveLuminanceA0/luminance?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        lux = data["lux"]
    except:
        lux = None
    return lux

# 温度（摂氏）の取得
def getTempreture(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/temperature?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        degree = data["celsius_degree"]
    except:
        degree = None
    return degree

# 湿度の取得
def getHumidity(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/humidity?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        humidity = data["humidity"]
    except:
        humidity = None
    return humidity


while 1:
    # ambientにデータ送信
    t = getTempreture(token)
    h = getHumidity(token)
    l = getLux(token);
    print(str(t) + '℃, ' + str(h) + '%, ' + str(l) + 'lux')

    # ambientにデータ送信
    if not t == None and not h == None and not l == None:
        ambi = ambient.Ambient(______, '************')
        r = ambi.send({'d1' : t, 'd2' : h, 'd3' : l })
        print("push data... -> ambient")
    else:
        print('fail')

    sleep(5)        # 10sec待つ
