# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token1 = '04726ef159609089e52c89c55b9c5a71'
token2 = 'f0f7e685afd3d9d8174ff950c13eff91'

# 明るさの取得関数
def getLux(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveLuminanceA0/luminance?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        lux = data["lux"]
    except:
        lux = None
    return lux

# LEDのON/OFF制御関数
def setLed(my_token, onoff):
    url = "https://us.wio.seeed.io/v1/node/GenericDOutD1/onoff/"
    url += str(onoff)
    url += "?access_token=" + my_token
    r = requests.post(url)
    data = r.json()
    try:
        result = data["result"]
    except:
        result = None
    return result

# IFTTTのWebhookにポストする関数
def fire_ifttt_webhook2(eventid, lux):
    payload = {"value1": lux,
                "value2": "",
                "value3": "" }
    url = "https://maker.ifttt.com/trigger/" + eventid + "/with/key/dbCVPN0ICBm-mzSSV3rh3iHk1dJKqBApS3LCKRRTS8f"
    r = requests.post(url, data=payload)


## -----------------------------------------------------------------
# ここからメインの処理
## -----------------------------------------------------------------
print("Light Monitoring System(IFTTT ver)")

# フラグの初期化
last_flag = 0
flag = 0

while 1:
    # フラグの状態を更新
    last_flag = flag

    # 明るさを取得
    lux = getLux(token1)
    print(str(lux))

    # 明るさが一定の値を下回っていたらLED点灯
    if not lux == None:
        if lux < 200:
            setLed(token2, 1)
            flag = 1
        else:
            setLed(token2, 0)
            flag = 0

    # 暗くなったら(閾値を下回ったら)、1度だけ実行する処理
    if last_flag == 0 and flag == 1:
        print ("IFTTTのLightAlertにPost!!")
        fire_ifttt_webhook2("LightAlert", lux)

    sleep(5)